curl --request GET \
--url https://api.honeycomb.io/1/derived_columns/{datasetSlug} \
--header 'X-Honeycomb-Team: <api-key>'import requests
url = "https://api.honeycomb.io/1/derived_columns/{datasetSlug}"
headers = {"X-Honeycomb-Team": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Honeycomb-Team': '<api-key>'}};
fetch('https://api.honeycomb.io/1/derived_columns/{datasetSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"alias": "<string>",
"expression": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"description": ""
}
]{
"status": 400,
"type": "https://api.honeycomb.io/problems/unparseable",
"title": "The request body could not be parsed.",
"error": "invalid gzip data"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "Rate Limited"
}List all Calculated Fields
Get all the Calculated Fields (also called Derived Columns) in a dataset or environment. With the ?alias=X query parameter, can return a single Calculated Field by its alias.
Authorizations
Authenticate using a Honeycomb Configuration Key.
Pass the Token in the X-Honeycomb-Team header:
X-Honeycomb-Team: 1234567890123456789012
If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.
To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.
Path Parameters
The dataset slug or use __all__ for endpoints that support environment-wide operations.
Query Parameters
The Calculated Field alias.
Response
When listing all columns, an array of CalculatedField objects will be returned. When using key_name, will return a single CalculatedField object if found.
- object[]
- object
Unique identifier (ID), returned in response bodies.
The human-readable name of the Calculated Field (also called Derived Column), as it will be referenced when building queries.
1 - 255The expression to evaluate to construct this Calculated Field's value. (Calculated Field is also called Derived Column.) Refer to the Calculated Field Reference.
1 - 4095ISO8601 formatted time when the field was created.
ISO8601 formatted time when the field was updated.
A human-readable description for the Calculated Field that displays in the UI.
255